### Method

# Ide DebuggerBreakpoint set_spec

#### Declaration

    void
    ide_debugger_breakpoint_set_spec (
      IdeDebuggerBreakpoint* self,
      const gchar* spec
    )

#### Description

Sets the specification for the debugger breakpoint. This describes a statement which the debugger can use to determine of the breakpoint should be applied when stopping the debugger.

Available since: | 3.32

Sets property | `Ide.DebuggerBreakpoint:spec`

#### Parameters

`spec` | `const gchar*`
| The specification or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.